import { SettingsService } from '@delon/theme';
import { I18nService } from '../../../../../service/i18n.service';
export declare class KengicLayoutDefaultHeaderI18nComponent {
    private settingsService;
    private i18NService;
    private doc;
    /** whether to display language text */
    showLangText: boolean;
    constructor(settingsService: SettingsService, i18NService: I18nService, doc: any);
    get currentLangCode(): string;
    get langs(): {
        code: string;
        text: string;
    }[];
    changeLang(lang: string): void;
}
